Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::action::action< Action > Struct Template Reference
Inheritance diagram for ranges::action::action< Action >:

## Public Member Functions
constexpr | action (Action a) noexcept(std::is_nothrow_move_constructible< Action >::value)
template<typename Rng , typename... Rest>
auto | operator() (Rng &rng, Rest &&... rest) const -> invoke_result_t< Action const &, Rng &, Rest... > requires range< Rng > &&invocable< Action const &, Rng &, Rest... >
template<typename T , typename... Rest, typename A = Action>
auto | operator() (T &&t, Rest &&... rest) return make_action(action_access
Public Member Functions inherited from ranges::pipeable_base
template<typename Arg , typename Pipe >
| requires (!is_pipeable_v< Arg >) &&is_pipeable_v< Pipe > const expr friend auto operator|(Arg &&arg

## Additional Inherited Members
Public Attributes inherited from ranges::pipeable_base
Pipe | pipe